; (4p) Scrieti un program care sa rezolve problema lupul-capra-varza. Enuntul problemei este urmatorul:

; "Pe malul unui rau se afla un taran cu un lup, o capra si o varza. Taranul doreste sa traverseze cu ele raul. 
; Taranul poate face traversari ale raului impreuna doar cu unul din cele trei personaje de transportat, sau singur.
; Daca lupul ramane pe acelasi mal impreuna cu capra, iar taranul este pe celalalt mal, capra va fi mancata de lup. 
; Similar se intampla cu capra si varza."

; Ca indiciu, va propunem urmatoarea structura initiala a bazei de cunostinte factuale:
;(mal taran lup capra varza), 0 -> mal plecare, 1 -> mal sosire
(deffacts fapte
	(interzis 1 1 0 0)
	(interzis ...)
	(interzis ...)
	(interzis ...)
	(interzis ...)
	(interzis ...) ; sunt 6 stari interzise
	(mal 0 0 0 0) ; starea initiala
)

; pentru trecerea 0 -> 1 si 1 -> 0 folositi formula (mod (+ 1 ?x) 2)

; !!! Folositi pe rand, strategiile 'depth' si 'breadth' si identificati solutiile problemei in baza de cunostinte, dupa rulare.